Index: serefpolicy-contrib-20140730/quantum.te
===================================================================
--- serefpolicy-contrib-20140730.orig/quantum.te
+++ serefpolicy-contrib-20140730/quantum.te
@@ -5,92 +5,165 @@ policy_module(quantum, 1.1.0)
 # Declarations
 #
 
-type quantum_t;
-type quantum_exec_t;
-init_daemon_domain(quantum_t, quantum_exec_t)
+## <desc>
+##  <p>
+##	Determine whether neutron can
+##	connect to all TCP ports
+##	</p>
+## </desc>
+gen_tunable(neutron_can_network, false)
+
+type neutron_t alias quantum_t;
+type neutron_exec_t alias quantum_exec_t;
+init_daemon_domain(neutron_t, neutron_exec_t)
+
+type neutron_initrc_exec_t alias quantum_initrc_exec_t;
+init_script_file(neutron_initrc_exec_t)
+
+type neutron_log_t alias quantum_log_t;
+logging_log_file(neutron_log_t)
 
-type quantum_initrc_exec_t;
-init_script_file(quantum_initrc_exec_t)
+type neutron_tmp_t alias quantum_tmp_t;
+files_tmp_file(neutron_tmp_t)
 
-type quantum_log_t;
-logging_log_file(quantum_log_t)
+type neutron_var_lib_t alias quantum_var_lib_t;
+files_type(neutron_var_lib_t)
 
-type quantum_tmp_t;
-files_tmp_file(quantum_tmp_t)
-
-type quantum_var_lib_t;
-files_type(quantum_var_lib_t)
+type neutron_unit_file_t alias quantum_unit_file_t;
+systemd_unit_file(neutron_unit_file_t)
 
 ########################################
 #
 # Local policy
 #
 
-allow quantum_t self:capability { setgid setuid sys_resource };
-allow quantum_t self:process { setsched setrlimit };
-allow quantum_t self:fifo_file rw_fifo_file_perms;
-allow quantum_t self:key manage_key_perms;
-allow quantum_t self:tcp_socket { accept listen };
-allow quantum_t self:unix_stream_socket { accept listen };
-
-manage_dirs_pattern(quantum_t, quantum_log_t, quantum_log_t)
-append_files_pattern(quantum_t, quantum_log_t, quantum_log_t)
-create_files_pattern(quantum_t, quantum_log_t, quantum_log_t)
-setattr_files_pattern(quantum_t, quantum_log_t, quantum_log_t)
-logging_log_filetrans(quantum_t, quantum_log_t, dir)
-
-manage_files_pattern(quantum_t, quantum_tmp_t, quantum_tmp_t)
-files_tmp_filetrans(quantum_t, quantum_tmp_t, file)
-
-manage_dirs_pattern(quantum_t, quantum_var_lib_t, quantum_var_lib_t)
-manage_files_pattern(quantum_t, quantum_var_lib_t, quantum_var_lib_t)
-files_var_lib_filetrans(quantum_t, quantum_var_lib_t, dir)
-
-can_exec(quantum_t, quantum_tmp_t)
-
-kernel_read_kernel_sysctls(quantum_t)
-kernel_read_system_state(quantum_t)
-
-corecmd_exec_shell(quantum_t)
-corecmd_exec_bin(quantum_t)
-
-corenet_all_recvfrom_unlabeled(quantum_t)
-corenet_all_recvfrom_netlabel(quantum_t)
-corenet_tcp_sendrecv_generic_if(quantum_t)
-corenet_tcp_sendrecv_generic_node(quantum_t)
-corenet_tcp_sendrecv_all_ports(quantum_t)
-corenet_tcp_bind_generic_node(quantum_t)
-
-dev_list_sysfs(quantum_t)
-dev_read_urand(quantum_t)
-
-files_read_usr_files(quantum_t)
-
-auth_use_nsswitch(quantum_t)
+allow neutron_t self:capability { dac_override sys_ptrace kill setgid setuid sys_resource net_admin sys_admin net_raw net_bind_service};
+allow neutron_t self:capability2 block_suspend;
+allow neutron_t self:process { setsched setrlimit setcap signal_perms };
+
+allow neutron_t self:fifo_file rw_fifo_file_perms;
+allow neutron_t self:key manage_key_perms;
+allow neutron_t self:tcp_socket { accept listen };
+allow neutron_t self:unix_stream_socket { accept listen connectto };
+allow neutron_t self:netlink_route_socket rw_netlink_socket_perms;
+allow neutron_t self:rawip_socket create_socket_perms;
+allow neutron_t self:packet_socket create_socket_perms;
+
+manage_dirs_pattern(neutron_t, neutron_log_t, neutron_log_t)
+append_files_pattern(neutron_t, neutron_log_t, neutron_log_t)
+create_files_pattern(neutron_t, neutron_log_t, neutron_log_t)
+setattr_files_pattern(neutron_t, neutron_log_t, neutron_log_t)
+logging_log_filetrans(neutron_t, neutron_log_t, dir)
+
+manage_files_pattern(neutron_t, neutron_tmp_t, neutron_tmp_t)
+manage_dirs_pattern(neutron_t, neutron_tmp_t, neutron_tmp_t)
+files_tmp_filetrans(neutron_t, neutron_tmp_t, { file dir })
+
+manage_dirs_pattern(neutron_t, neutron_var_lib_t, neutron_var_lib_t)
+manage_files_pattern(neutron_t, neutron_var_lib_t, neutron_var_lib_t)
+manage_sock_files_pattern(neutron_t, neutron_var_lib_t, neutron_var_lib_t)
+files_var_lib_filetrans(neutron_t, neutron_var_lib_t, dir)
+
+can_exec(neutron_t, neutron_tmp_t)
+
+kernel_rw_kernel_sysctl(neutron_t)
+kernel_rw_net_sysctls(neutron_t)
+kernel_read_system_state(neutron_t)
+kernel_read_network_state(neutron_t)
+kernel_request_load_module(neutron_t)
+
+corecmd_exec_shell(neutron_t)
+corecmd_exec_bin(neutron_t)
+
+corenet_all_recvfrom_unlabeled(neutron_t)
+corenet_all_recvfrom_netlabel(neutron_t)
+corenet_tcp_sendrecv_generic_if(neutron_t)
+corenet_tcp_sendrecv_generic_node(neutron_t)
+corenet_tcp_sendrecv_all_ports(neutron_t)
+corenet_tcp_bind_generic_node(neutron_t)
+
+corenet_tcp_bind_neutron_port(neutron_t)
+corenet_tcp_connect_neutron_port(neutron_t)
+corenet_tcp_connect_keystone_port(neutron_t)
+corenet_tcp_connect_amqp_port(neutron_t)
+corenet_tcp_connect_mysqld_port(neutron_t)
+corenet_tcp_connect_osapi_compute_port(neutron_t)
+
+domain_read_all_domains_state(neutron_t)
+domain_named_filetrans(neutron_t)
+
+dev_read_sysfs(neutron_t)
+dev_read_urand(neutron_t)
+dev_mounton_sysfs(neutron_t)
+dev_mount_sysfs_fs(neutron_t)
+dev_unmount_sysfs_fs(neutron_t)
+
+files_mounton_non_security(neutron_t)
+
+auth_use_nsswitch(neutron_t)
+
+libs_exec_ldconfig(neutron_t)
+
+logging_send_audit_msgs(neutron_t)
+logging_send_syslog_msg(neutron_t)
+
+netutils_exec(neutron_t)
+
+# need to stay in neutron
+sysnet_exec_ifconfig(neutron_t)
+sysnet_manage_ifconfig_run(neutron_t)
+sysnet_filetrans_named_content_ifconfig(neutron_t)
+
+tunable_policy(`neutron_can_network',`
+	corenet_sendrecv_all_client_packets(neutron_t)
+	corenet_tcp_connect_all_ports(neutron_t)
+	corenet_tcp_sendrecv_all_ports(neutron_t)
+')
 
-libs_exec_ldconfig(quantum_t)
+optional_policy(`
+	brctl_domtrans(neutron_t)
+')
 
-logging_send_audit_msgs(quantum_t)
-logging_send_syslog_msg(quantum_t)
+optional_policy(`
+    dnsmasq_domtrans(neutron_t)
+    dnsmasq_signal(neutron_t)
+    dnsmasq_read_state(neutron_t)
+')
 
-miscfiles_read_localization(quantum_t)
+optional_policy(`
+    rhcs_domtrans_haproxy(neutron_t)
+')
 
-sysnet_domtrans_ifconfig(quantum_t)
+optional_policy(`
+    iptables_domtrans(neutron_t)
+')
 
 optional_policy(`
-	brctl_domtrans(quantum_t)
+    modutils_domtrans_insmod(neutron_t)
 ')
 
 optional_policy(`
-	mysql_stream_connect(quantum_t)
-	mysql_read_config(quantum_t)
+	mysql_stream_connect(neutron_t)
+    mysql_read_db_lnk_files(neutron_t)
+	mysql_read_config(neutron_t)
+	mysql_tcp_connect(neutron_t)
+')
 
-	mysql_tcp_connect(quantum_t)
+optional_policy(`
+	postgresql_stream_connect(neutron_t)
+	postgresql_unpriv_client(neutron_t)
+	postgresql_tcp_connect(neutron_t)
 ')
 
 optional_policy(`
-	postgresql_stream_connect(quantum_t)
-	postgresql_unpriv_client(quantum_t)
+    openvswitch_domtrans(neutron_t)
+    openvswitch_stream_connect(neutron_t)
+')
 
-	postgresql_tcp_connect(quantum_t)
+optional_policy(`
+	sudo_exec(neutron_t)
 ')
+
+optional_policy(`
+    udev_domtrans(neutron_t)
+')  
Index: serefpolicy-contrib-20140730/quota.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/quota.fc
+++ serefpolicy-contrib-20140730/quota.fc
@@ -1,6 +1,5 @@
 HOME_ROOT/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
-
-HOME_DIR/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
+HOME_DIR/a?quota\.(user|group) --  gen_context(system_u:object_r:quota_db_t,s0)
 
 /a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
 
@@ -8,24 +7,24 @@ HOME_DIR/a?quota\.(user|group)	--	gen_co
 
 /etc/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
 
-/etc/rc\.d/init\.d/quota_nld	--	gen_context(system_u:object_r:quota_nld_initrc_exec_t,s0)
-
-/sbin/convertquota	--	gen_context(system_u:object_r:quota_exec_t,s0)
-/sbin/quota(check|on)	--	gen_context(system_u:object_r:quota_exec_t,s0)
+/sbin/quota(check|on)		--	gen_context(system_u:object_r:quota_exec_t,s0)
 
-/usr/sbin/convertquota	--	gen_context(system_u:object_r:quota_exec_t,s0)
 /usr/sbin/quota(check|on)	--	gen_context(system_u:object_r:quota_exec_t,s0)
-/usr/sbin/quota_nld	--	gen_context(system_u:object_r:quota_nld_exec_t,s0)
 
 /var/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
+/var/lib/quota(/.*)?			gen_context(system_u:object_r:quota_flag_t,s0)
+/var/spool/cron/a?quota\.(user|group) --	gen_context(system_u:object_r:quota_db_t,s0)
+/var/spool/(.*/)?a?quota\.(user|group) --	gen_context(system_u:object_r:quota_db_t,s0)
+
+ifdef(`distro_redhat',`
+/usr/sbin/convertquota		--	gen_context(system_u:object_r:quota_exec_t,s0)
+',`
+/sbin/convertquota		--	gen_context(system_u:object_r:quota_exec_t,s0)
+')
 
-/var/lib/quota(/.*)?	gen_context(system_u:object_r:quota_flag_t,s0)
-
-/var/run/quota_nld\.pid	--	gen_context(system_u:object_r:quota_nld_var_run_t,s0)
+/usr/sbin/quota_nld     --  gen_context(system_u:object_r:quota_nld_exec_t,s0)
 
-/var/spool/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
+/var/lib/stickshift/a?quota\.(user|group)    --    gen_context(system_u:object_r:quota_db_t,s0)
+/var/lib/openshift/a?quota\.(user|group)    --    gen_context(system_u:object_r:quota_db_t,s0)
 
-/var/spool/imap/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
-/var/spool/(client)?mqueue/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
-/var/spool/mqueue\.in/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
-/var/spool/mail/a?quota\.(user|group)	--	gen_context(system_u:object_r:quota_db_t,s0)
+/var/run/quota_nld\.pid --  gen_context(system_u:object_r:quota_nld_var_run_t,s0)
Index: serefpolicy-contrib-20140730/quota.if
===================================================================
--- serefpolicy-contrib-20140730.orig/quota.if
+++ serefpolicy-contrib-20140730/quota.if
@@ -1,4 +1,4 @@
-## <summary>File system quota management.</summary>
+## <summary>File system quota management</summary>
 
 ########################################
 ## <summary>
@@ -21,9 +21,8 @@ interface(`quota_domtrans',`
 
 ########################################
 ## <summary>
-##	Execute quota management tools in
-##	the quota domain, and allow the
-##	specified role the quota domain.
+##	Execute quota management tools in the quota domain, and
+##	allow the specified role the quota domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -39,90 +38,54 @@ interface(`quota_domtrans',`
 #
 interface(`quota_run',`
 	gen_require(`
-		attribute_role quota_roles;
+		type quota_t;
 	')
 
 	quota_domtrans($1)
-	roleattribute $2 quota_roles;
+	role $2 types quota_t;
 ')
 
 #######################################
 ## <summary>
-##	Execute quota nld in the quota nld domain.
+##  Alow to read of filesystem quota data files.
 ## </summary>
 ## <param name="domain">
-## <summary>
-##  Domain allowed to transition.
-## </summary>
+##  <summary>
+##  Domain to not audit.
+##  </summary>
 ## </param>
 #
-interface(`quota_domtrans_nld',`
-	gen_require(`
-		type quota_nld_t, quota_nld_exec_t;
-	')
+interface(`quota_read_db',`
+    gen_require(`
+        type quota_db_t;
+    ')
 
-	corecmd_search_bin($1)
-	domtrans_pattern($1, quota_nld_exec_t, quota_nld_t)
+    allow $1 quota_db_t:file read_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	quota db files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`quota_manage_db_files',`
-	gen_require(`
-		type quota_db_t;
-	')
-
-	allow $1 quota_db_t:file manage_file_perms;
-')
-
-########################################
-## <summary>
-##	Create specified objects in specified
-##	directories with a type transition to
-##	the quota db file type.
+##	Do not audit attempts to get the attributes
+##	of filesystem quota data files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-## <param name="file_type">
-##	<summary>
-##	Directory to transition on.
-##	</summary>
-## </param>
-## <param name="object">
-##	<summary>
-##	The object class of the object being created.
-##	</summary>
-## </param>
-## <param name="name" optional="true">
-##	<summary>
-##	The name of the object being created.
+##	Domain to not audit.
 ##	</summary>
 ## </param>
 #
-interface(`quota_spec_filetrans_db',`
+interface(`quota_dontaudit_getattr_db',`
 	gen_require(`
 		type quota_db_t;
 	')
 
-	filetrans_pattern($1, $2, quota_db_t, $3, $4)
+	dontaudit $1 quota_db_t:file getattr_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Do not audit attempts to get attributes
-##	of filesystem quota data files.
+##	Create, read, write, and delete quota
+##	db files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -130,18 +93,18 @@ interface(`quota_spec_filetrans_db',`
 ##	</summary>
 ## </param>
 #
-interface(`quota_dontaudit_getattr_db',`
+interface(`quota_manage_db',`
 	gen_require(`
 		type quota_db_t;
 	')
 
-	dontaudit $1 quota_db_t:file getattr_file_perms;
+	allow $1 quota_db_t:file manage_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	quota flag files.
+##	Create, read, write, and delete quota
+##	flag files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -160,37 +123,56 @@ interface(`quota_manage_flags',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an quota environment.
+##	Transition to quota named content
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
+##      Domain allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
-interface(`quota_admin',`
+interface(`quota_filetrans_named_content',`
 	gen_require(`
-		type quota_nld_t, quota_t, quota_db_t;
-		type quota_nld_initrc_exec_t, quota_flag_t, quota_nld_var_run_t;
+		type quota_db_t;
 	')
 
-	allow $1 { quota_nld_t quota_t }:process { ptrace signal_perms };
-	ps_process_pattern($1, { quota_nld_t quota_t })
-
-	init_labeled_script_domtrans($1, quota_nld_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 quota_nld_initrc_exec_t system_r;
-	allow $2 system_r;
+	files_root_filetrans($1, quota_db_t, file, "aquota.user")
+	files_root_filetrans($1, quota_db_t, file, "aquota.group")
+	files_boot_filetrans($1, quota_db_t, file, "aquota.user")
+	files_boot_filetrans($1, quota_db_t, file, "aquota.group")
+	files_etc_filetrans($1, quota_db_t, file, "aquota.user")
+	files_etc_filetrans($1, quota_db_t, file, "aquota.group")
+	files_tmp_filetrans($1, quota_db_t, file, "aquota.user")
+	files_tmp_filetrans($1, quota_db_t, file, "aquota.group")
+	files_home_filetrans($1, quota_db_t, file, "aquota.user")
+	files_home_filetrans($1, quota_db_t, file, "aquota.group")
+	files_usr_filetrans($1, quota_db_t, file, "aquota.user")
+	files_usr_filetrans($1, quota_db_t, file, "aquota.group")
+	files_var_filetrans($1, quota_db_t, file, "aquota.user")
+	files_var_filetrans($1, quota_db_t, file, "aquota.group")
+	files_spool_filetrans($1, quota_db_t, file, "aquota.user")
+	files_spool_filetrans($1, quota_db_t, file, "aquota.group")
+	mta_spool_filetrans($1, quota_db_t, file, "aquota.user")
+	mta_spool_filetrans($1, quota_db_t, file, "aquota.group")
+	mta_spool_filetrans_queue($1, quota_db_t, file, "aquota.user")
+	mta_spool_filetrans_queue($1, quota_db_t, file, "aquota.group")
+')
 
-	files_list_all($1)
-	admin_pattern($1, { quota_db_t quota_flag quota_nld_var_run_t })
+#######################################
+## <summary>
+##  Transition to quota_nld.
+## </summary>
+## <param name="domain">
+## <summary>
+##  Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`quota_domtrans_nld',`
+    gen_require(`
+        type quota_nld_t, quota_nld_exec_t;
+    ')
 
-	quota_run($1, $2)
+    corecmd_search_bin($1)
+    domtrans_pattern($1, quota_nld_exec_t, quota_nld_t)
 ')
Index: serefpolicy-contrib-20140730/quota.te
===================================================================
--- serefpolicy-contrib-20140730.orig/quota.te
+++ serefpolicy-contrib-20140730/quota.te
@@ -5,12 +5,10 @@ policy_module(quota, 1.6.0)
 # Declarations
 #
 
-attribute_role quota_roles;
-
 type quota_t;
 type quota_exec_t;
-init_system_domain(quota_t, quota_exec_t)
-role quota_roles types quota_t;
+application_domain(quota_t, quota_exec_t)
+#init_system_domain(quota_t, quota_exec_t)
 
 type quota_db_t;
 files_type(quota_db_t)
@@ -22,9 +20,6 @@ type quota_nld_t;
 type quota_nld_exec_t;
 init_daemon_domain(quota_nld_t, quota_nld_exec_t)
 
-type quota_nld_initrc_exec_t;
-init_script_file(quota_nld_initrc_exec_t)
-
 type quota_nld_var_run_t;
 files_pid_file(quota_nld_var_run_t)
 
@@ -37,6 +32,7 @@ allow quota_t self:capability { sys_admi
 dontaudit quota_t self:capability sys_tty_config;
 allow quota_t self:process signal_perms;
 
+# for /quota.*
 allow quota_t quota_db_t:file { manage_file_perms quotaon };
 files_root_filetrans(quota_t, quota_db_t, file)
 files_boot_filetrans(quota_t, quota_db_t, file)
@@ -48,24 +44,15 @@ files_var_filetrans(quota_t, quota_db_t,
 files_spool_filetrans(quota_t, quota_db_t, file)
 userdom_user_home_dir_filetrans(quota_t, quota_db_t, file)
 
-kernel_request_load_module(quota_t)
 kernel_list_proc(quota_t)
 kernel_read_proc_symlinks(quota_t)
 kernel_read_kernel_sysctls(quota_t)
-kernel_setsched(quota_t)
+kernel_dontaudit_setsched(quota_t)
 
 dev_read_sysfs(quota_t)
 dev_getattr_all_blk_files(quota_t)
 dev_getattr_all_chr_files(quota_t)
 
-files_list_all(quota_t)
-files_read_all_files(quota_t)
-files_read_all_symlinks(quota_t)
-files_getattr_all_pipes(quota_t)
-files_getattr_all_sockets(quota_t)
-files_getattr_all_file_type_fs(quota_t)
-files_read_etc_runtime_files(quota_t)
-
 fs_get_xattr_fs_quotas(quota_t)
 fs_set_xattr_fs_quotas(quota_t)
 fs_getattr_xattr_fs(quota_t)
@@ -80,17 +67,28 @@ term_dontaudit_use_console(quota_t)
 
 domain_use_interactive_fds(quota_t)
 
+files_list_all(quota_t)
+files_read_all_files(quota_t)
+files_read_all_symlinks(quota_t)
+files_getattr_all_pipes(quota_t)
+files_getattr_all_sockets(quota_t)
+files_getattr_all_file_type_fs(quota_t)
+# Read /etc/mtab.
+files_read_etc_runtime_files(quota_t)
+
 init_use_fds(quota_t)
 init_use_script_ptys(quota_t)
 
 logging_send_syslog_msg(quota_t)
 
-userdom_use_user_terminals(quota_t)
+mta_spool_filetrans(quota_t, quota_db_t, file)
+mta_spool_filetrans_queue(quota_t, quota_db_t, file)
+
+userdom_use_inherited_user_terminals(quota_t)
 userdom_dontaudit_use_unpriv_user_fds(quota_t)
 
 optional_policy(`
-	mta_queue_filetrans(quota_t, quota_db_t, file)
-	mta_spool_filetrans(quota_t, quota_db_t, file)
+	openshift_lib_filetrans(quota_t, quota_db_t, file)
 ')
 
 optional_policy(`
@@ -103,12 +101,12 @@ optional_policy(`
 
 #######################################
 #
-# Nld local policy
+# Local policy
 #
 
 allow quota_nld_t self:fifo_file rw_fifo_file_perms;
 allow quota_nld_t self:netlink_socket create_socket_perms;
-allow quota_nld_t self:unix_stream_socket { accept listen };
+allow quota_nld_t self:unix_stream_socket create_stream_socket_perms;
 
 manage_files_pattern(quota_nld_t, quota_nld_var_run_t, quota_nld_var_run_t)
 files_pid_filetrans(quota_nld_t, quota_nld_var_run_t, { file })
@@ -121,11 +119,9 @@ init_read_utmp(quota_nld_t)
 
 logging_send_syslog_msg(quota_nld_t)
 
-miscfiles_read_localization(quota_nld_t)
-
 userdom_use_user_terminals(quota_nld_t)
 
 optional_policy(`
-	dbus_system_bus_client(quota_nld_t)
-	dbus_connect_system_bus(quota_nld_t)
+    dbus_system_bus_client(quota_nld_t)
+    dbus_connect_system_bus(quota_nld_t)
 ')
Index: serefpolicy-contrib-20140730/rabbitmq.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/rabbitmq.fc
+++ serefpolicy-contrib-20140730/rabbitmq.fc
@@ -4,7 +4,11 @@
 /usr/lib/erlang/erts.*/bin/epmd	--	gen_context(system_u:object_r:rabbitmq_epmd_exec_t,s0)
 
 /var/lib/rabbitmq(/.*)?	gen_context(system_u:object_r:rabbitmq_var_lib_t,s0)
+/var/lib/ejabberd(/.*)?	gen_context(system_u:object_r:rabbitmq_var_lib_t,s0)
+
+/var/lock/ejabberdctl(/.*)? gen_context(system_u:object_r:rabbitmq_var_lock_t,s0)
 
 /var/log/rabbitmq(/.*)?	gen_context(system_u:object_r:rabbitmq_var_log_t,s0)
+/var/log/ejabberd(/.*)?	gen_context(system_u:object_r:rabbitmq_var_log_t,s0)
 
 /var/run/rabbitmq(/.*)?	gen_context(system_u:object_r:rabbitmq_var_run_t,s0)
Index: serefpolicy-contrib-20140730/rabbitmq.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rabbitmq.if
+++ serefpolicy-contrib-20140730/rabbitmq.if
@@ -10,13 +10,13 @@
 ## </summary>
 ## </param>
 #
-interface(`rabbitmq_domtrans',`
+interface(`rabbitmq_domtrans_beam',`
 	gen_require(`
-		type rabbitmq_t, rabbitmq_exec_t;
+		type rabbitmq_beam_t, rabbitmq_beam_exec_t;
 	')
 
 	corecmd_search_bin($1)
-	domtrans_pattern($1, rabbitmq_exec_t, rabbitmq_t)
+	domtrans_pattern($1, rabbitmq_beam_exec_t, rabbitmq_beam_t)
 ')
 
 ########################################
Index: serefpolicy-contrib-20140730/rabbitmq.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rabbitmq.te
+++ serefpolicy-contrib-20140730/rabbitmq.te
@@ -1,4 +1,4 @@
-policy_module(rabbitmq, 1.1.0)
+policy_module(rabbitmq, 1.0.2)
 
 ########################################
 #
@@ -19,6 +19,9 @@ init_script_file(rabbitmq_initrc_exec_t)
 type rabbitmq_var_lib_t;
 files_type(rabbitmq_var_lib_t)
 
+type rabbitmq_var_lock_t;
+files_lock_file(rabbitmq_var_lock_t)
+
 type rabbitmq_var_log_t;
 logging_log_file(rabbitmq_var_log_t)
 
@@ -30,20 +33,29 @@ files_pid_file(rabbitmq_var_run_t)
 # Beam local policy
 #
 
+allow rabbitmq_beam_t self:capability setuid;
+
 allow rabbitmq_beam_t self:process { setsched signal signull };
 allow rabbitmq_beam_t self:fifo_file rw_fifo_file_perms;
 allow rabbitmq_beam_t self:tcp_socket { accept listen };
 
 manage_dirs_pattern(rabbitmq_beam_t, rabbitmq_var_lib_t, rabbitmq_var_lib_t)
 manage_files_pattern(rabbitmq_beam_t, rabbitmq_var_lib_t, rabbitmq_var_lib_t)
+files_var_lib_filetrans(rabbitmq_beam_t, rabbitmq_var_lib_t, { dir file })
 
 manage_dirs_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
-append_files_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
-create_files_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
-setattr_files_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
+manage_files_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
+logging_log_filetrans(rabbitmq_beam_t, rabbitmq_var_log_t, { dir file })
+
+manage_dirs_pattern(rabbitmq_beam_t, rabbitmq_var_lock_t, rabbitmq_var_lock_t)
+manage_files_pattern(rabbitmq_beam_t, rabbitmq_var_lock_t, rabbitmq_var_lock_t)
+files_lock_filetrans(rabbitmq_beam_t, rabbitmq_var_lock_t, file)
 
 manage_dirs_pattern(rabbitmq_beam_t, rabbitmq_var_run_t, rabbitmq_var_run_t)
 manage_files_pattern(rabbitmq_beam_t, rabbitmq_var_run_t, rabbitmq_var_run_t)
+files_pid_filetrans(rabbitmq_beam_t, rabbitmq_var_run_t, { dir file })
+
+ps_process_pattern(rabbitmq_beam_t, rabbitmq_epmd_t)
 
 can_exec(rabbitmq_beam_t, rabbitmq_beam_exec_t)
 
@@ -55,57 +67,73 @@ kernel_read_fs_sysctls(rabbitmq_beam_t)
 corecmd_exec_bin(rabbitmq_beam_t)
 corecmd_exec_shell(rabbitmq_beam_t)
 
+corenet_tcp_bind_generic_node(rabbitmq_beam_t)
+corenet_udp_bind_generic_node(rabbitmq_beam_t)
 corenet_all_recvfrom_unlabeled(rabbitmq_beam_t)
 corenet_all_recvfrom_netlabel(rabbitmq_beam_t)
 corenet_tcp_sendrecv_generic_if(rabbitmq_beam_t)
 corenet_tcp_sendrecv_generic_node(rabbitmq_beam_t)
 corenet_tcp_bind_generic_node(rabbitmq_beam_t)
+corenet_tcp_connect_all_ephemeral_ports(rabbitmq_beam_t)
+corenet_tcp_bind_all_ephemeral_ports(rabbitmq_beam_t)
 
 corenet_sendrecv_amqp_server_packets(rabbitmq_beam_t)
-corenet_tcp_bind_amqp_port(rabbitmq_beam_t)
-corenet_tcp_sendrecv_amqp_port(rabbitmq_beam_t)
 
 corenet_sendrecv_epmd_client_packets(rabbitmq_beam_t)
+corenet_tcp_sendrecv_amqp_port(rabbitmq_beam_t)
+corenet_tcp_bind_amqp_port(rabbitmq_beam_t)
+corenet_tcp_bind_couchdb_port(rabbitmq_beam_t)
+corenet_tcp_bind_jabber_client_port(rabbitmq_beam_t)
+corenet_tcp_bind_jabber_interserver_port(rabbitmq_beam_t)
+corenet_tcp_connect_amqp_port(rabbitmq_beam_t)
+corenet_tcp_connect_couchdb_port(rabbitmq_beam_t)
 corenet_tcp_connect_epmd_port(rabbitmq_beam_t)
+corenet_tcp_connect_jabber_interserver_port(rabbitmq_beam_t)
 corenet_tcp_sendrecv_epmd_port(rabbitmq_beam_t)
+corenet_tcp_connect_http_port(rabbitmq_beam_t)
 
-corenet_sendrecv_couchdb_server_packets(rabbitmq_beam_t)
-corenet_tcp_bind_couchdb_port(rabbitmq_beam_t)
-corenet_tcp_sendrecv_couchdb_port(rabbitmq_beam_t)
+domain_read_all_domains_state(rabbitmq_beam_t)
 
-dev_read_sysfs(rabbitmq_beam_t)
-dev_read_urand(rabbitmq_beam_t)
+files_getattr_all_mountpoints(rabbitmq_beam_t)
 
 fs_getattr_all_fs(rabbitmq_beam_t)
+fs_getattr_all_dirs(rabbitmq_beam_t)
+fs_getattr_cgroup(rabbitmq_beam_t)
 fs_search_cgroup_dirs(rabbitmq_beam_t)
 
-files_read_etc_files(rabbitmq_beam_t)
+dev_read_sysfs(rabbitmq_beam_t)
+dev_read_urand(rabbitmq_beam_t)
 
 storage_getattr_fixed_disk_dev(rabbitmq_beam_t)
 
-miscfiles_read_localization(rabbitmq_beam_t)
+auth_read_passwd(rabbitmq_beam_t)
+auth_use_pam(rabbitmq_beam_t)
 
 sysnet_dns_name_resolve(rabbitmq_beam_t)
 
- optional_policy(`
-	couchdb_manage_lib_files(rabbitmq_beam_t)
-	couchdb_read_conf_files(rabbitmq_beam_t)
-	couchdb_read_log_files(rabbitmq_beam_t)
-	couchdb_read_pid_files(rabbitmq_beam_t)
- ')
+logging_send_syslog_msg(rabbitmq_beam_t)
+
+optional_policy(`
+    couchdb_manage_files(rabbitmq_beam_t)
+')
+
+optional_policy(`
+    dbus_system_bus_client(rabbitmq_beam_t)
+')
 
 ########################################
 #
 # Epmd local policy
 #
 
-
 allow rabbitmq_epmd_t self:process signal;
 allow rabbitmq_epmd_t self:fifo_file rw_fifo_file_perms;
 allow rabbitmq_epmd_t self:tcp_socket create_stream_socket_perms;
 allow rabbitmq_epmd_t self:unix_stream_socket { accept listen };
 
-allow rabbitmq_epmd_t rabbitmq_var_log_t:file append_file_perms;
+allow rabbitmq_epmd_t rabbitmq_var_log_t:file manage_file_perms;
+
+manage_files_pattern(rabbitmq_beam_t, rabbitmq_var_log_t, rabbitmq_var_log_t)
 
 corenet_all_recvfrom_unlabeled(rabbitmq_epmd_t)
 corenet_all_recvfrom_netlabel(rabbitmq_epmd_t)
@@ -117,8 +145,5 @@ corenet_sendrecv_epmd_server_packets(rab
 corenet_tcp_bind_epmd_port(rabbitmq_epmd_t)
 corenet_tcp_sendrecv_epmd_port(rabbitmq_epmd_t)
 
-files_read_etc_files(rabbitmq_epmd_t)
-
 logging_send_syslog_msg(rabbitmq_epmd_t)
 
-miscfiles_read_localization(rabbitmq_epmd_t)
Index: serefpolicy-contrib-20140730/radius.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/radius.fc
+++ serefpolicy-contrib-20140730/radius.fc
@@ -9,7 +9,9 @@
 /usr/sbin/radiusd	--	gen_context(system_u:object_r:radiusd_exec_t,s0)
 /usr/sbin/freeradius	--	gen_context(system_u:object_r:radiusd_exec_t,s0)
 
-/var/lib/radiousd(/.*)?	gen_context(system_u:object_r:radiusd_var_lib_t,s0)
+/usr/lib/systemd/system/radiusd.* --  gen_context(system_u:object_r:radiusd_unit_file_t,s0)
+
+/var/lib/radiusd(/.*)?	gen_context(system_u:object_r:radiusd_var_lib_t,s0)
 
 /var/log/freeradius(/.*)?	gen_context(system_u:object_r:radiusd_log_t,s0)
 /var/log/radacct(/.*)?	gen_context(system_u:object_r:radiusd_log_t,s0)
Index: serefpolicy-contrib-20140730/radius.if
===================================================================
--- serefpolicy-contrib-20140730.orig/radius.if
+++ serefpolicy-contrib-20140730/radius.if
@@ -14,6 +14,29 @@ interface(`radius_use',`
 	refpolicywarn(`$0($*) has been deprecated.')
 ')
 
+#######################################
+## <summary>
+##  Execute radiusd server in the radiusd domain.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
+## </param>
+#
+interface(`radiusd_systemctl',`
+    gen_require(`
+        type radiusd_unit_file_t;
+        type radiusd_t;
+    ')
+
+    systemd_exec_systemctl($1)
+    allow $1 radiusd_unit_file_t:file read_file_perms;
+    allow $1 radiusd_unit_file_t:service manage_service_perms;
+
+    ps_process_pattern($1, radiusd_t)
+')
+
 ########################################
 ## <summary>
 ##	All of the rules required to
@@ -35,11 +58,14 @@ interface(`radius_admin',`
 	gen_require(`
 		type radiusd_t, radiusd_etc_t, radiusd_log_t;
 		type radiusd_etc_rw_t, radiusd_var_lib_t, radiusd_var_run_t;
-		type radiusd_initrc_exec_t;
+		type radiusd_initrc_exec_t, radiusd_unit_file_t;
 	')
 
-	allow $1 radiusd_t:process { ptrace signal_perms };
+	allow $1 radiusd_t:process signal_perms;
 	ps_process_pattern($1, radiusd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 radiusd_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, radiusd_initrc_exec_t)
 	domain_system_change_exemption($1)
@@ -57,4 +83,9 @@ interface(`radius_admin',`
 
 	files_list_pids($1)
 	admin_pattern($1, radiusd_var_run_t)
+
+    admin_pattern($1, radiusd_unit_file_t)
+    bind_systemctl($1)
+    allow $1 radiusd_unit_file_t:service all_service_perms;
+
 ')
Index: serefpolicy-contrib-20140730/radius.te
===================================================================
--- serefpolicy-contrib-20140730.orig/radius.te
+++ serefpolicy-contrib-20140730/radius.te
@@ -27,6 +27,9 @@ files_type(radiusd_var_lib_t)
 type radiusd_var_run_t;
 files_pid_file(radiusd_var_run_t)
 
+type radiusd_unit_file_t;
+systemd_unit_file(radiusd_unit_file_t)
+
 ########################################
 #
 # Local policy
@@ -60,11 +63,11 @@ manage_sock_files_pattern(radiusd_t, rad
 manage_dirs_pattern(radiusd_t, radiusd_var_run_t, radiusd_var_run_t)
 manage_files_pattern(radiusd_t, radiusd_var_run_t, radiusd_var_run_t)
 files_pid_filetrans(radiusd_t, radiusd_var_run_t, { file sock_file dir })
+files_dontaudit_list_tmp(radiusd_t)
 
 kernel_read_kernel_sysctls(radiusd_t)
 kernel_read_system_state(radiusd_t)
 
-corenet_all_recvfrom_unlabeled(radiusd_t)
 corenet_all_recvfrom_netlabel(radiusd_t)
 corenet_tcp_sendrecv_generic_if(radiusd_t)
 corenet_udp_sendrecv_generic_if(radiusd_t)
@@ -74,6 +77,8 @@ corenet_tcp_sendrecv_all_ports(radiusd_t
 corenet_udp_sendrecv_all_ports(radiusd_t)
 corenet_udp_bind_generic_node(radiusd_t)
 
+corenet_tcp_connect_postgresql_port(radiusd_t)
+
 corenet_sendrecv_radacct_server_packets(radiusd_t)
 corenet_udp_bind_radacct_port(radiusd_t)
 
@@ -97,7 +102,6 @@ domain_use_interactive_fds(radiusd_t)
 fs_getattr_all_fs(radiusd_t)
 fs_search_auto_mountpoints(radiusd_t)
 
-files_read_usr_files(radiusd_t)
 files_read_etc_runtime_files(radiusd_t)
 files_dontaudit_list_tmp(radiusd_t)
 
@@ -109,7 +113,6 @@ libs_exec_lib_files(radiusd_t)
 
 logging_send_syslog_msg(radiusd_t)
 
-miscfiles_read_localization(radiusd_t)
 miscfiles_read_generic_certs(radiusd_t)
 
 sysnet_use_ldap(radiusd_t)
@@ -122,6 +125,11 @@ optional_policy(`
 ')
 
 optional_policy(`
+    kerberos_tmp_filetrans_host_rcache(radiusd_t, "host_0")
+    kerberos_manage_host_rcache(radiusd_t)
+')
+
+optional_policy(`
 	logrotate_exec(radiusd_t)
 ')
 
